<?php

/*  Copyright 2003 Tony Whitmore.
  
    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Page showing statistics about SATYR for the SATYR administrator. */

/* Include the standard HTML opening lines */
	include ("STORM/common/html/htmlheader.inc");

/* Include the STORM and SATYR functions files */
   include ("STORM/common/misc/functions.inc");
	include ("STORM/SATYR/misc/functions.inc");

/* Check for a valid session and access level */
   sessionchk();
   $accesslevel = "3";
   accesschk("SATYR");

/* Include the navigation options */
	include ("STORM/SATYR/html/navigationadmin.inc");


/* Produce the HTML for the help page. */
   echo "

   <h1>SATYR Help Page</h1>

   <table width='70%' align='center'>
   <tr>
   <td>
   <p class='normal'><b>What does SATYR stand for?</b>
   <br>
   Submit And Track Your Request. SATYR lets users submit support requests from any computer and track them as
   the ICT Support Team deal with them. Support request can be problems with computer hardware or software, requests
   for help using computers, requests for new computer equipment or any other issue they want to raise with the
   ICT Support Team.</p>

   <p class='normal'><b>How do I use SATYR?</b>
   <br>Move between the various pages using the navigation links near the top of the page. Support requests are categorised as either
   New, Open or Closed. &quot;New&quot; support requests have been submitted but have yet to be evaluated by the ICT Support Team. &quot;Open&quot;
   support requests have been evaluated by the ICT Support Team and are being worked on. The team member who evaluated the job will
   have added comments to the request that will give you information about how your request is being dealt with. Further information
   may be added as work on the support request continues. &quot;Closed&quot; support requests have been fully resolved and are no
   longer being worked on by the ICT Support Team.</p>

   <p class='normal'><b>What does the start page show?</b>
   <br>When you first log in to SATYR, you will see a summary of information about the SATYR system, how it is operating and how many
   support requests have been dealt with recently.</p>

   <p class='normal'><b>What does the &quot;Unlock/lock a Support Request&quot; button do?</b>
   <br>This feature allows the SATYR administrator to lock or unlock a support request. When a support request is &quot;locked&quot;
   it cannot be edited by the ICT Support Team. Information from the support request is available only to view. A support request is locked
   automatically when a member of the ICT Support Team is editing it, preventing another member of the team from inadvertently overwriting another person's
   changes. When the ICT Support Team member commits the changes to the support request to the database, the support request is unlocked, allowing
   another team member to edit it. However, if the web browser or computer that the ICT Support Team member is using crashes before the changes to the
   support request are submitted to the database, the support request will not be unlocked. This will prevent any member of the ICT Support Team from
   editing that support request until it is unlocked.
   <br><br>
   To view the status of a support request and lock or unlock it as necessary:
   <ul class='normal'>
   <li>Click on the <i>Unlock/lock a Support Request</i> button on the navigation bar.</li>
   <li>In the <i>Request Number</i> box, enter the number for the support request of which you wish to query the &quot;lock&quot; status.</li>
   <li>Click on the <i>Show Current Lock Status...</i> button.</li>
   <li>The screen will change to show the current status of the support request.</li>
   <li>If you wish to unlock or lock the support request, select the appropriate radio button.</li>
   <li>Click the <i>Unlock/lock...</i> button.</li>
   <li>The screen will change to show the old and current lock status of the support request.</li>
   </ul>

   <p class='normal'><b>What does the &quot;Delete a Support Request&quot; button do?</b>
   <br>This feature allows the SATYR administrator to delete a support request from the database. There may be circumstances where the SATYR
   system has been abused and false, offensive or just rubbish support requests have been submitted.
   <br><br>
   To delete a support request from the database:
   <ul class='normal'>
   <li>Click on the <i>Delete a Support Request</i> button on the navigation bar.</li>
   <li>In the <i>Enter the number of the support request to be deleted:</i> box, enter the number for the support request which you want to delete.</li>
   <li>Click on the <i>Delete...</i> button.</li>
   <li>The screen will change to show a message confirming the deletion of the support request.</li>
   </ul>

   <p class='normal'><b>What does the &quot;SATYR Statistics&quot; button do?</b>
   <br>This feature allows the SATYR administrator to view detailed statistics on the SATYR system. This information could be useful when writing
   report or preparing presentations on SATYR, and for monitoring the performance of the ICT Support Team.
   <br><br>
   To view SATYR statistics:
   <ul class='normal'>
   <li>Click on the <i>SATYR statistics</i> button on the navigation bar.</li>
   <li>The screen will show a variety of statistics on the SATYR system.</li>
   </ul>

   ";


?>
