<?php

/*  Copyright 2003 Tony Whitmore.
  
    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Page showing statistics about SATYR for the SATYR administrator. */

/* Include the standard HTML opening lines */
	include ("STORM/common/html/htmlheader.inc");

/* Include the STORM and SATYR functions files */
   include ("STORM/common/misc/functions.inc");
	include ("STORM/SATYR/misc/functions.inc");

/* Check for a valid session and access level */
   sessionchk();
   $accesslevel = "3";
   accesschk("SATYR");

/* Include the connection to the MySQL Server details */
	include ("STORM/common/mysql/connectadmin.inc");

/* Include the navigation options */
	include ("STORM/SATYR/html/navigationadmin.inc");

/* Produce the SATYR stats page header. */
   echo "<h1>SATYR Statistics</h1>\n";

/* Carry out the queries to produce the statistics and copy them to variables. */
/* First, work out how many support requests have been submitted in the last 24 hours. */
   $query = "SELECT job_id FROM SATYR WHERE DATE_ADD(submitDate, INTERVAL 1 DAY) >=NOW()";
   $result = mysql_query($query);
   $no_last_24 = mysql_num_rows($result);
   
/* Work out how many support requests submitted in the last 24 hours are still new. */
   $query = "SELECT job_id FROM SATYR WHERE status='New' AND DATE_ADD(submitDate, INTERVAL 1 DAY) >=NOW()";
   $result = mysql_query($query);
   $no_last_24_new = mysql_num_rows($result);
   
/* Work out how many support requests submitted in the last 24 hours are open. */
   $query = "SELECT job_id FROM SATYR WHERE status='Open' AND DATE_ADD(submitDate, INTERVAL 1 DAY) >=NOW()";
   $result = mysql_query($query);
   $no_last_24_open = mysql_num_rows($result);
   
/* Work out how many support requests submitted in the last 24 hours are closed. */
   $query = "SELECT job_id FROM SATYR WHERE status='Closed' AND DATE_ADD(submitDate, INTERVAL 1 DAY) >=NOW()";
   $result = mysql_query($query);
   $no_last_24_closed = mysql_num_rows($result);
   
/* Work out how many support requests submitted in the last year. */
   $query = "SELECT job_id FROM SATYR WHERE DATE_ADD(submitDate, INTERVAL 365 DAY) >=NOW()";
   $result = mysql_query($query);
   $no_last_year = mysql_num_rows($result);

/* Work out how many open support requests submitted in the last year. */
   $query = "SELECT job_id FROM SATYR WHERE status=\"open\" AND DATE_ADD(submitDate, INTERVAL 365 DAY) >=NOW()";
   $result = mysql_query($query);
   $no_open_last_year = mysql_num_rows($result);

/* Work out how many closed support requests submitted in the last year. */
   $query = "SELECT job_id FROM SATYR WHERE status=\"closed\" AND DATE_ADD(submitDate, INTERVAL 365 DAY) >=NOW()";
   $result = mysql_query($query);
   $no_closed_last_year = mysql_num_rows($result);
   
/* Produce the table that holds the statistics table for formatting purposes. */
   echo "<table cellspacing='1' cellpadding='0' align='center' width='50%' border='0'>\n
         <tr class='greybg'><td>\n";

/* Produce the table containing the statistics. */
   echo "<table cellspacing='1' cellpadding='3' align='center' width='100%'>\n";
   echo "<tr>\n";

   echo "<td class='normal'>\n";
   echo "Number of support requests submitted in the last 24 hours:\n";
   echo "</td><td class='normal'>\n";
   echo "$no_last_24\n";
   echo "</td>\n";

   echo "</tr><tr>\n";
   
   echo "<td class='normal'>\n";
   echo "Number of support requests submitted in the last 24 hours that are unevaluated:\n";
   echo "</td><td class='normal'>\n";
   echo "$no_last_24_new\n";
   echo "</td>\n";
   
   echo "</tr><tr>\n";

   echo "<td class='normal'>\n";
   echo "Number of support requests submitted in the last 24 hours that are open:\n";
   echo "</td><td class='normal'>\n";
   echo "$no_last_24_open\n";
   echo "</td>\n";
   
   echo "</tr><tr>\n";
   
   echo "<td class='normal'>\n";
   echo "Number of support requests submitted in the last 24 hours that are closed:\n";
   echo "</td><td class='normal'>\n";
   echo "$no_last_24_closed\n";
   echo "</td>\n";
   
   echo "</tr><tr>\n";

   echo "<td class='normal'>\n";
   echo "Number of support requests submitted in the last year:\n";
   echo "</td><td class='normal'>\n";
   echo "$no_last_year\n";
   echo "</td>\n";

   echo "</tr><tr>\n";

   echo "<td class='normal'>\n";
   echo "Number of open support requests submitted in the last year:\n";
   echo "</td><td class='normal'>\n";
   echo "$no_open_last_year\n";
   echo "</td>\n";

   echo "</tr><tr>\n";

   echo "<td class='normal'>\n";
   echo "Number of closed support requests submitted in the last year:\n";
   echo "</td><td class='normal'>\n";
   echo "$no_closed_last_year\n";
   echo "</td>\n";

   echo "</tr>\n";
   
   echo "</table>\n";
   
   echo "</td></tr></table>\n";

?>
