<?php

/*  Copyright 2003 Tony Whitmore.
  
    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* ICT Support Team help page for SATYR */

/* Include the standard HTML opening lines */
	include ("STORM/common/html/htmlheader.inc");

/* Include the STORM and SATYR functions files */
   include ("STORM/common/misc/functions.inc");
	include ("STORM/SATYR/misc/functions.inc");

/* Check for a valid session and access level */
   sessionchk();
   $accesslevel = "2";
   accesschk("SATYR");

/* Include the navigation options */
	include ("STORM/SATYR/html/navigationict.inc");
	
/* Produce the HTML for the help page. */
   echo "

   <h1>SATYR Help Page</h1>

   <table width='70%' align='center'>
   <tr>
   <td>
   <p class='normal'><b>What does SATYR stand for?</b>
   <br>
   Submit And Track Your Request. SATYR lets users submit support requests from any computer and track them as
   you, the ICT Support Team, deal with them. Support requests can be problems with computer hardware or software, requests
   for help using computers, requests for new computer equipment or any other issue users want to raise with the
   ICT Support Team.</p>

   <p class='normal'><b>How do I use SATYR?</b>
   <br>Move between the various pages using the navigation links near the top of the page. Support requests are categorised as either
   New, Open or Closed. &quot;New&quot; support requests have been submitted but have yet to be evaluated, &quot;Open&quot;
   support requests have been evaluated and are being worked on. &quot;Closed&quot; support requests have been fully resolved and are no
   longer being worked on by the ICT Support Team.</p>

   <p class='normal'><b>What does the start page show?</b>
   <br>When you first log in to SATYR, you will see two tables. The first table will show any new or open
   support requests submitted assigned to you for action. The second table will show support requests assigned to you that have been closed in the last
   14 days. At the bottom of the start page, there is a link to a page that shows all the closed support requests assigned to you, including ones that were closed more than 14 days ago.</p>

   <p class='normal'><b>How can I find more details on a support request?</b>
   <br>Click on the Request Name of any support request shown in a table to see full details on the support request.
   You will be able to see your original support request and other information added by the ICT Support Team.
   Any support request can be updated by clicking on the &quot;Update&quot; button from the detailed view of the support request.
   </p>

   <p class='normal'><b>What does the &quot;Evaluate new Support Requests&quot; button do?</b>
   <br>This feature allows members of the ICT Support Team to evaluate new support requests that users have submitted.
   The page shows support requests that are categorised as &quot;New&quot; and unevaluated. The page will automatically
   refresh every 60 seconds to ensure that the latest submitted support requests are shown.
   <br>
   <br>
   If you click on the Request Name field of a support request you will be shown a form allowing you to evaluate the
   support request. If you enter any information in the &quot;Evaluation&quot; or &quot;Further Comments&quot; fields, the support request
   will be submitted as &quot;Open&quot;. If you select the tick box at the bottom of the form, the support request
   will be submitted as &quot;Closed&quot;.
   
   <p class='normal'><b>What does the &quot;Search for a Support Request&quot; button do?</b>
   <br>This feature allows members of the ICT Support Team to search for support requests against many possible criteria.
   You can select or enter one or more of the search criteria shown. Remember that search terms are case sensitive.
   Once you have entered the search criteria you wish to use, click on the &quot;Search...&quot; button.
   A table showing all the results from the search will be shown.

   <p class='normal'><b>What does the &quot;Submit a new Support Request&quot; button do?</b>
   <br>This feature allows members of the ICT Support Team to submit a support request on behalf of a user.
   If you want to submit the support request as &quot;New&quot;, only complete the fields in the top half of the form.
   If you enter any information in the &quot;Evaluation&quot; or &quot;Further Comments&quot; fields, the support request
   will be submitted as &quot;Open&quot;. If you select the tick box at the bottom of the form, the support request
   will be submitted as &quot;Closed&quot;.
   
   ";

?>
