<?php

/*  Copyright 2003 Tony Whitmore.
  
    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Page that processes data from the form generated by ictsubmit.php. */

/* Include the standard HTML opening lines */
	include ("STORM/common/html/htmlheader.inc");

/* Include the STORM and SATYR functions files */
   include ("STORM/common/misc/functions.inc");
	include ("STORM/SATYR/misc/functions.inc");

/* Check for a valid session and access level */
   sessionchk();
   $accesslevel = "2";
   accesschk("SATYR");

/* Include the connection to the MySQL Server details */
	include ("STORM/common/mysql/connectict.inc");

/* Include the navigation options */
	include ("STORM/SATYR/html/navigationict.inc");

/* Perform the clean_array function on the _POST array. */
   clean_array($_POST);

/* Check the form for missing fields. If any of the compulsory fields are blank, then the form is
	repeated with the existing values completed. */

if  ( ( $_POST['evaluation'] != "" OR $_POST['furtherComments'] != "" OR $_POST['teamMember'] != "" 
	OR $_POST['category'] != "Unassigned" OR $_POST['priority'] != "" ) 
	AND $_POST['teamMember'] == "" AND $_POST['closed'] != "on" )
    {
     $errmsg .= "<center><span class='alert'>You are submitting this support request as &quot;Open&quot; so you must assign it to a Team Member</span></center>\n";
    }

if ($_POST['username'] == "" )
	{
	 $errmsg .= "<center><span class='alert'>You must enter the user's username.</span></center>\n";
	}

if ($_POST['nickname'] == "" )
	{
	$errmsg .= "<center><span class='alert'>You must enter a name to identify the support request.</span></center>\n";
	}
	
if ($_POST['initialInfo'] == "" )
	{
	$errmsg .= "<center><span class='alert'>You must enter some initial information on the support request.</span></center>\n";
	}

if ( $errmsg != "" )
    {
  		echo "<h3>The following errors have been identified on your support request form:</h3>\n";
      echo $errmsg;
      include ("STORM/SATYR/forms/produceictformwithvalues.inc");
      exit();
    }

/* If none of the above checks fail, enter the information into the database. */

/* Include the file that process the data. */	
	include ("STORM/SATYR/mysql/submiticttodatabase.inc");

// Display a message saying that the support request was successfully made
	echo "<h1>The support request has been made!</h1>\n";
	echo "<h3>If you submitted this support request unevaluated it will appear in the \"New\" list.</h3>\n";
	navbutton("ictintro.php","OK");
	echo "<a href='ictintro.php'>Back the SATYR start page</a>\n";	
	
?>
