<?php

/*  Copyright 2003 Tony Whitmore.
  
    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Page that processes the _POST array for updating database entries. */

/* Include the standard HTML opening lines */
	include ("STORM/common/html/htmlheader.inc");

/* Include the STORM and SATYR functions files */
   include ("STORM/common/misc/functions.inc");
	include ("STORM/SATYR/misc/functions.inc");

/* Check for a valid session and access level */
   sessionchk();
   $accesslevel = "2";
   accesschk("SATYR");

/* Include the connection to the MySQL Server details */
	include ("STORM/common/mysql/connectict.inc");

/* Include the navigation options */
	include ("STORM/SATYR/html/navigationictwithunlock.inc");

/* Perform the clean_array function on the _POST array. */
   clean_array($_POST);

/* Pulls the existing data for comparison with the posted data and analysing
	against the "sensitive" fields. This only really comes into play with a New
	job that is just being assigned straight to a person with no comments.
	The senstive fields are System ID, Room, Machine No, Category, Support Team Member,
	Priority */
	$showjob = $_POST['job_id'];
	/* Include the file that extracts the job from the database. */
	include ("STORM/SATYR/mysql/editonejob.inc");

/* Work out what the status of the support request has been changed to. */
   if ( $_POST['closed'] == "on" )
      { $newstatus = "Closed";}
   elseif ( $_POST['furtherComments'] != "" OR $_POST['evaluation'] != "" )
      { $newstatus = "Open";	}
   elseif ( ( $_POST['status'] == "Open" OR $_POST['status'] == "Closed" ) AND ( $_POST['closed'] != "on" ) )
      { $newstatus = "Open";	}
	elseif ( ($systemID != $_POST['systemID']) OR ($room != $_POST['room']) OR ($machineNumber != $_POST['machineNumber']) OR ($_POST['category'] != "Unassigned") OR ($_POST['teamMember'] != "Unassigned") OR ($_POST['priority'] != "") )
		{ $newstatus = "Open";	}
   else
      { $newstatus = "New";	}

/* Check for a valid TeamMember if the support request is "Open" */
if ( $newstatus == "Open" AND ( $_POST['teamMember'] == "" OR $_POST['teamMember'] == "Unassigned" ) )
   {
   echo "<br><center><span class='alert'>You have not assigned this support request to a member of
        the ICT Support Team</span></center>\n";
   echo "<br><center><span class='alert'>All &quot;Open&quot; support requests must be assigned to a member
        of ICT staff for attention.</span></center>\n";
   $error = 1;
	include ("STORM/SATYR/forms/requesteditform.inc");
   exit();
   }

/* Include the file that process the _POST array and updates the database. */
   include ("STORM/SATYR/mysql/updateicttodatabase.inc");

/* Produce a message saying that the update has been made. */
   echo "<h1>The support request has been updated!</h1>\n";
   
/* Set the variable _GET[fulljob] to the job_id of the updated job. */
   $_GET['fulljob'] = $_POST['job_id'];

/* Set the variable that defines the type of detailed view. */
   $detailtype = "ict";

/* Include the file that produces the detailed view of the job with job_id. */
   include ("STORM/SATYR/misc/producedetail.inc");

?>
