<?php

/*  Copyright 2003 Tony Whitmore.
  
    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Users help page for SATYR */

/* Include the standard HTML opening lines */
	include ("STORM/common/html/htmlheader.inc");

/* Include the STORM and SATYR functions files */
   include ("STORM/common/misc/functions.inc");
	include ("STORM/SATYR/misc/functions.inc");

/* Check for a valid session and access level */
   sessionchk();
   $accesslevel = "1";
   accesschk("SATYR");

/* Include the navigation options */
	include ("STORM/SATYR/html/navigationusers.inc");
	
/* Produce the HTML for the help page. */
   echo "
   
   <h1>SATYR Help Page</h1>

   <table width='70%' align='center'>
   <tr>
   <td>
   <p class='normal'><b>What does SATYR stand for?</b>
   <br>
   Submit And Track Your Request. SATYR lets you submit support requests from any computer and track them as
   the ICT Support Team deal with them. Support requests can be problems with computer hardware or software, requests
   for help using computers, requests for new computer equipment or any other issue you want to raise with the
   ICT Support Team.</p>
   
   <p class='normal'><b>How do I use SATYR?</b>
   <br>Move between the various pages using the navigation links near the top of the page. Support requests are categorised as either
   New, Open or Closed. &quot;New&quot; support requests have been submitted but have yet to be evaluated by the ICT Support Team. &quot;Open&quot;
   support requests have been evaluated by the ICT Support Team and are being worked on. The team member who evaluated the job will
   have added comments to the request that will give you information about how your request is being dealt with. Further information
   may be added as work on the support request continues. &quot;Closed&quot; support requests have been fully resolved and are no
   longer being worked on by the ICT Support Team.</p>
   
   <p class='normal'><b>What does the start page show?</b>
   <br>When you first log in to SATYR, you will see two tables. The first table will show any new or open
   support requests submitted attached to your username. This may include support requests submitted on your behalf by the ICT
   Support Team. The second table will show support requests attached to your username that have been closed in the last
   14 days. At the bottom of the start page, there is a link to a page that shows all the closed support requests attached to
   your username, including ones that were closed more than 14 days ago.</p>
   
   <p class='normal'><b>How do I submit a new support request?</b>
   <br>Click on the <i>Submit a new support request</i> link on the toolbar.
   Fill in the form to sumbit your support request.
   <ul class='normal'>
   <li>In the <i>Request Name</i> box, enter a &quot;nickname&quot; for the support request.
   This will help you identify the support request in a list, and remind you what the support request is about.
   This name does not have to be unique, and is mainly for your use and convenience.</li>
   <li>From the <i>Room (if applicable)</i> drop-down box, select the room that relates to the support request.
   In addition to the ICT suites and the classrooms with most computers in, there is an option for &quot;My Office&quot;.
   If none of the options listed applies, leave the box set to &quot;Not Applicable&quot;.</li>
   <li>In the <i>Machine Number (if applicable)</i> box, enter the number of the computer, if it has one.
   For example, computers in the ICT suites all have numbers next to them. This is the number you should enter if your
   support request relates to a computer in an ICT suite.</li>
   <li>From the <i>Your rating of the urgency of the support request</i> drop-down box, indicate how urgent you consider the support request to be.
   Please try to be accurate in this assessment, as it will affect how the ICT Support Team resolve the support request.</li>
   <li>In the <i>Request Details</i> box, enter information about the support request. Include as much information as you can,
   giving any details you may not have been able to include elsewhere on the page. Also include any error messages that have been shown.
   The more information you can give, the quicker the problem can be diagnosed.</li>
   <li>When you have filled in the form, click on the <i>Submit Support Request</i> button. You will see a message confirming that
   your support request has been made.</li>
   </ul>
   
   <p class='normal'><b>How can I find more details on a support request?</b>
   <br>Click on the Request Name of any support request shown in a table to see full details on the support request.
   You will be able to see your original support request and other information added by the ICT Support Team.
   </p>
   
   ";

?>
