<?php

/*  Copyright 2003 Tony Whitmore.

    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Page that display's a week's bookings

// Standard HTML opening lines
	include ("STORM/common/html/htmlheader.inc");

// STORM and EQuip functions files
   include ("STORM/common/misc/functions.inc");
	include ("STORM/equip/misc/functions.inc");

// Check for a valid session and access level
   sessionchk();
   $accesslevel = "1";
   accesschk("EQuip");

// Depending on the access level of the user, set the database connection settings
if ( $_SESSION['EQuip'] == "1" )
   {
	include ("STORM/common/mysql/connectusers.inc");
	include ("STORM/equip/html/navigationusers.inc");
   }
elseif ( $_SESSION['EQuip'] == "2" )
   {
	 include ("STORM/common/mysql/connectict.inc");
	 include ("STORM/equip/html/navigationict.inc");
   }
elseif ( $_SESSION['EQuip'] == "3" )
   {
	 include ("STORM/common/mysql/connectadmin.inc");
	 include ("STORM/equip/html/navigationadmin.inc");
   }
else
	{
	 elseerror("EQuip");
	 exit();
	}

// Set parent variables. These are used to pass the return page to cancelbook.php
$_SESSION['parent'] = $_SERVER['PHP_SELF'];

if ( $_POST['date'] == "" AND $_GET['date'] == "" ) //if there is no POST or GET date variable, set it to today
   {
   $_POST['date'] = date("Y-m-d"); // Sets variable to today's date
   }
elseif ( $_POST['date'] == "" AND $_GET['date'] != "" ) //if there is a GET date but no POST date, set the POST variable to the GET variable
	{
	$_POST['date'] = $_GET['date'];
	}

if ( $_GET['name'] != "" OR $_GET['category'] != "" ) // if there is GET data, set the POST variables equal to them
	{
	$_POST['name'] = $_GET['name'];
	$_POST['category'] = $_GET['category'];
	}

// Validate "category" and "name" post data. They can't both be filled in.
if ( $_POST['category'] != "" AND $_POST['name'] != "" )
   {
   echo "<h3>You have selected a category AND a named device.</h3>\n";
   echo "<h3>Please select only one or the other.</h3>\n";
   echo "<center>\n";
   echo "<form action=\"" . $_SERVER['PHP_SELF'] . "\" method=\"post\">\n";
   echo "<input type=\"hidden\" name=\"date\" value=\"" . $_POST['date'] . "\">\n";
   echo "<input type=\"hidden\" name=\"source\" value=\"" . $_POST['parent'] . "\">\n";
   echo "<input type=\"submit\" value=\"OK\">";
   echo "</form>\n";
   echo "</center>\n";
   exit();
   }

// Get the value of "chunksperday"
$query = "SELECT value FROM settings WHERE function=\"chunksperday\"";
$result = mysql_query($query) or die ("Couldn't Execute Query");
$row = mysql_fetch_array($result);
$chunksperday = $row['0'];

if ( $_POST['category'] == "" AND $_POST['name'] == "" )
   { // Evaluate "category" and "name" post data. If blank, produce the selection form
	name_category_selection();
   exit();
   }
   
// Process the date variable to find the beginning of the week
	$weekbegindate = weekbegin($_POST['date']);
	$currdate = $weekbegindate;
   
// Produce navigation links between weeks
	echo "<br><br>\n";
	echo "<table width=\"100%\"><tr><td>\n";
	echo "<a href=\"bookbyweek.php?date=" . adddays($weekbegindate,-7) . "&category=" . $_POST['category'] . "&name=" . $_POST['name'] . "\">Back a week</a>";
	echo "</td><td width=\"50%\"></td><td>\n";
	echo "<a href=\"bookbyweek.php?date=" . adddays($weekbegindate,7) . "&category=" . $_POST['category'] . "&name=" . $_POST['name'] . "\">Forward a week</a>";
	echo "</td></tr></table>\n";
    echo "<br>\n";

if ( $_POST['category'] != "" AND $_POST['name'] == "" ) //if submitted by category
   {
   echo "<tablebanner>" . $_POST['category'] . " bookings for the week beginning " . formatdatehuman($weekbegindate) . ":</tablebanner>\n";
   }
elseif ( $_POST['category'] == "" AND $_POST['name'] != "" )
   {
   echo "<tablebanner>Bookings for " . $_POST['name'] . " for the week beginning " . formatdatehuman($weekbegindate) . ":</tablebanner>\n";
   }
else
	{
	elseerror("EQuip");
	exit();
	}

// Formatting table
echo "<table cellspacing='1' cellpadding='0' align='center' width='90%'>\n
      <tr class='greybg'><td>\n";

// Table headers
echo "<table align=\"center\" width=\"100%\" cellspacing='1' cellpadding='3'>\n";
echo "<tr>\n";
echo "<th>Name</th>\n";
        
$query = "SELECT number,publicName FROM timechunk ORDER BY \"number\"";
$result = mysql_query($query) or die ("Couldn't Execute Query");
while ( $timechunk = mysql_fetch_array($result) )
      { // Produce time chunk names
       extract($timechunk);
       echo "<th>" . $publicName . "</th>\n";
      }

echo "</tr>\n";

if ( $_POST['category'] == "All" )
   { // If the "All" option was chosen
    $query = "SELECT id,name,booktable FROM device";
   }
elseif ( $_POST['category'] != "" AND $_POST['name'] == "" )
   { // otherwise select from the given category
    $query = "SELECT id,name,booktable FROM device WHERE category=\"" . $_POST['category'] . "\"";
    }
elseif ( $_POST['category'] == "" AND $_POST['name'] != "" ) //if submitted by name
       {
        // Select from the given name
        $query = "SELECT id,name,booktable FROM device WHERE name=\"" . $_POST['name'] . "\"";
       } 
        
$result = mysql_query($query) or die ("Couldn't Execute Query");
while ( $row = mysql_fetch_array($result) )  // For each device returned
      {
      extract($row);
      $j = 0;
      while ( $j != 7 ) // for seven days
            {
             $date = formatdatehumanshort($currdate);
             echo "<tr>\n";
             echo "<td>" . $date . "</td>\n";
             // Pull the bookings for the day
             $query2 = "SELECT * FROM " . $booktable . " WHERE date=\"" . $currdate . "\"";
             $result2 = mysql_query($query2) or die ("Couldn't Execute Query");
             $num_rows = mysql_num_rows($result2);
             if ( $num_rows == "0" ) // If there is no data for that day
                {
                 $i = 0;
                 while ( $i != $chunksperday )
                       {
                        $i++;
                        echo "<td class=\"litegreybg\" align=\"right\"><a href=\"bookdev.php?chunk=" . $i .
                             "&dev=" . $id . "&date=" . $currdate . "&source=bookbyweek.php&category=" . $_POST['category'] . "&name=" . $_POST['name'] . "\">
                              <img src=\"../common/img/button.jpg\" width=\"8\" height=\"8\" alt=\"Clicky!\" border=\"0\"></a>\n";
                        }
                }
             else  // if there is data for that day
                {
                 while ( $row2 = mysql_fetch_array($result2) )
                       { // for every row found (should only be one!)
                        $i = 0;
                        while ( $i != $chunksperday )
                              { // for each chunk of the day
                               $i++;
                               if ( $row2['chunk'.$i.'book'] == "1" )
                                  { // If the chunk is booked
                                   if ( $_SESSION['username'] == $row2['chunk'.$i.'user'] )
                                      { // if the chunk is booked by the user
                                       echo "<td class=\"bluebg\">\n";
                                       echo "<a href=\"cancelbook.php?name=" . $name . "&date=" . $currdate . "&chunk=" . $i . "&table=" . $booktable . "\">\n";
                                       echo $row2['chunk'.$i.'class'] . " " . $row2['chunk'.$i.'room'];
                                       echo "</a>\n";
                                      }
                                   elseif ( $_SESSION['username'] != $row2['chunk'.$i.'user'] AND $_SESSION['EQuip'] == "2" )
                                      { // if the chunk is booked by someone else but the user is an ICT team member
                                       echo "<td class=\"pinkbg\">\n";
                                       $query3 = "SELECT userForename,userSurname FROM users WHERE username=\"" . $row2['chunk'.$i.'user'] . "\"";
                                       $result3 = mysql_query($query3);
                                       $row3 = mysql_fetch_array($result3);
                                       echo "<a href=\"cancelbook.php?name=" . $name . "&date=" . $currdate . "&chunk=" . $i . "&table=" . $booktable . "\">\n";
                                       echo $row3['userForename'] . " " . $row3['userSurname'];
                                       echo "</a>\n";
                                      }
                                   else
                                      { // if the chunk is booked by someone else
                                       echo "<td class=\"pinkbg\">\n";
                                       $query3 = "SELECT userForename,userSurname FROM users WHERE username=\"" . $row2['chunk'.$i.'user'] . "\"";
                                       $result3 = mysql_query($query3);
                                       $row3 = mysql_fetch_array($result3);
                                       echo $row3['userForename'] . " " . $row3['userSurname'];
                                      }                                      
                                   }
                               elseif ( $row2['chunk'.$i.'book'] != "1" )
                                   { // if there is no booking for that chunk
                                    echo "<td class=\"litegreybg\" align=\"right\"><a href=\"bookdev.php?chunk=" . $i .
                                         "&dev=" . $id . "&date=" . $currdate . "&source=bookbyweek.php&category=" . $_POST['category'] . "&name=" . $_POST['name'] . "\">
                                          <img src=\"../common/img/button.jpg\" width=\"8\" height=\"8\" alt=\"Clicky!\" border=\"0\"></a>\n";
                                   }
                               echo "</td>";
                              }
                        }
                 }
             echo "</tr>\n";
             $currdate = adddays($currdate,1);
             $j++;
      }
   }

// Close tables
echo "</table>";
echo "</td></tr></table>\n";       
       
?>