<?php

/*  Copyright 2003 Tony Whitmore.
  
    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Unless otherwise stated, functions in this file are distributed under the GPL.

*/

/* Function that checks to see if there is a valid session in progress.
   If there isn't, then redirect to the login page.*/
function sessionchk() {
			if ( $_SESSION['username'] == "" )
   				{
   				echo "<alert>Your session has expired.<br>
					This is a security measure to protect the STORM system.
					<br>You will need to login again.</alert>\n";
   				navbutton("login.php","OK");
   				exit();
   				}
	}

/* Function that checks a users access level for the module pages and exits
   if the user doesn't have sufficient privilege. */
function accesschk($module) {
				$module = '$_SESSION[\'' . $module . '\']';
				if ( $accesslevel > $_SESSION['login'] )
   					{
   					echo "<alert>You are not authorised to view this page.</alert>\n";
   					echo "<alert>You have been logged out of the STORM system.</alert>\n";
   					navbutton("login.php","OK");
   					/* Clear the session variables. */
   					$_SESSION = array();
   					exit();
   					}
	}
	
/* Function to create a table for a bookable resource. */
function mktable($reftable,$tblprefix,$tblsuffix) {
	 //Get the highest resource ID from the table
    $query = "SELECT id FROM " . $reftable . " ORDER BY id DESC LIMIT 1";
    $result = mysql_query($query)
           or die ("Couldn't Execute Query.");
    $row = mysql_fetch_array($result);
    $id = $row['id'];  // Throw the extracted resource id into the variable of the same name

	 //Get the number of chunks per day from the STORM settings table
    $query = "SELECT value FROM settings WHERE function='chunksperday'";
    $result = mysql_query($query)
           or die ("Couldn't Execute Query.");
    $row = mysql_fetch_array($result);
    $chunksperday = $row['value'];  // Throw the extracted chunksperday value into the variable of the same name

    // Create the table
    $query = "CREATE TABLE " . $tblprefix . $id . $tblsuffix . " (
             date date NOT NULL,";

    //walk through adding the necessary number of columns
    $addedcolumns = 0;
    while ( $chunksperday != $addedcolumns )
       {
       $addedcolumns++;
       $query .= "chunk" . $addedcolumns . "book INT(1),";
       $query .= "chunk" . $addedcolumns . "user VARCHAR(30),";
       $query .= "chunk" . $addedcolumns . "class CHAR(5),";
       $query .= "chunk" . $addedcolumns . "room CHAR(20),";
       }

    $query .= "PRIMARY KEY (date)
              ) TYPE=MyISAM";
    $result = mysql_query($query)
           or die ("Couldn't Execute Query.");
    // Update the reference table
    $query = "UPDATE " . $reftable . " SET booktable='" . $tblprefix . $id . $tblsuffix . "' WHERE id='" . $id . "'";
    $result = mysql_query($query)
           or die ("Couldn't Execute Query.");
	 }

/* Convert MySQL format DATETIME to a format for displaying in the UK. */
/* This function adapted from that at http://gertrude.anglia.ac.uk/webteam/tips/php_sql/convert_date.htm
   This function is NOT released under the GPL but is public domain. */

/* Begin the function statement. */
   function formatdate($datevariable)
            {
            $stampeddate = formatdateunix($datevariable);
/* Format the timestamp for displaying in tables. */
          $datevariable = date("d-M-Y H:i",$stampeddate);
/* Pass the formatted date from datevariable to the variable formatdate and return the formatdate variable.*/
          return $datevariable;
       }

// Function that returns a date as a *nix style datestamp
function formatdateunix($datevariable)
         {
         // Replace the space in the datevariable line with a dash
         $datevariable=str_replace(' ','-',$datevariable);
         // Remove the '-' from the standard MySQL date format.
         list($Year,$Month,$Day,$Hour,$Minute,$Second) = split('[:-]',$datevariable);
         // Create a UNIX style timestamp from the result. */
         $stampeddate = mktime($Hour,$Minute,$Second,$Month,$Day,$Year);
         return $stampeddate; 
         }

// Function that adds a given number of days onto a supplied date. Date supplied in MySQL format
function adddays($initial,$days)
         {
         $unix = formatdateunix($initial); // Convert supplied date in to a *nix style datestamp
         $unix = $unix + ( 86400 * $days); // Add requisite number of seconds to datestamp
         $after = date("Y-m-d",$unix); // Convert datestamp back to MySQL format date
         return $after; // Return new date value
         }

// Function that subtracts a given number of days from a supplied date. Date supplied in MySQL format
function subdays($initial,$days)
         {
         $unix = formatdateunix($initial); // Convert supplied date in to a *nix style datestamp
         $unix = $unix - ( 86400 * $days); // Subtract requisite number of seconds from datestamp
         $after = date("Y-m-d",$unix); // Convert datestamp back to MySQL format date
         return $after; // Return new date value
         }

// Function that converts a MySQL style date in to full human readable version. e.g Friday 1 March 2008
function formatdatehuman($date)
         {
         $fulldate = formatdateunix($date);
         $fulldate = date("l j F Y",$fulldate);
         return $fulldate;
         }

// Function that converts a MySQL style date in to short human readable version. e.g Fri 1 March
function formatdatehumanshort($date)
         {
         $fulldate = formatdateunix($date);
         $fulldate = date("D j M",$fulldate);
         return $fulldate;
         }

// Function that takes a MySQL style date and returns a date showing the Sunday that is the beginning of the week
function weekbegin($date)
         {
         $fulldate = formatdateunix($date);
         $day = date("D",$fulldate);
         if ( $day == "Sun" )
            {
             $weekbegindate = $date;
            }
         if ( $day == "Mon" )
            {
             $weekbegindate = subdays($date,"1");
            }
         if ( $day == "Tue" )
            {
             $weekbegindate = subdays($date,"2");
            }
         if ( $day == "Wed" )
            {
             $weekbegindate = subdays($date,"3");
            }
         if ( $day == "Thu" )
            {
             $weekbegindate = subdays($date,"4");
            }
         if ( $day == "Fri" )
            {
             $weekbegindate = subdays($date,"5");
            }
         if ( $day == "Sat" )
            {
             $weekbegindate = subdays($date,"6");
            }
         return $weekbegindate;
         }

// Function that produces a button to redirect to another page
function navbutton($destination,$text)
         {
         echo "<p>\n";
         echo "<center>\n";
         echo "<form action=\"" . $destination . "\" method=\"post\">\n";
         echo "<input type=\"submit\" value=\"" . $text . "\">";
         echo "</form>\n";
         echo "</center>\n";
         echo "</p>\n";
         }

/* Define function that recursively cleans PHP and HTML tags. */
/* This function contributed at http://www.php.net/manual/en/function.strip-tags.php by jsheets at shadonet dot com. */
/* Amended to include stripping of apostrophes in input fields.
   This function is NOT released under the GPL, but is public domain. */

   function clean_array(&$array) {
     foreach ($array as $arraykey => $arrayvalue) {
        if (is_array($arrayvalue)) {
         clean_array($array[$arraykey]);
        } else {
          $array[$arraykey] = addslashes(trim(stripslashes(strip_tags($arrayvalue))));
       }
     }
  }

// Set up an array containing the suffixes used in device booking tables
function setsuffixarray()
         {
         $devcolsuffix = array();
         $devcolsuffix['0'] = "book";
         $devcolsuffix['1'] = "user";
         $devcolsuffix['2'] = "class";
         $devcolsuffix['3'] = "room";
         return $devcolsuffix;
         }

// Set up an array containing the descriptions used in device booking tables
function setdescarray()
         {
         $devcoldesc = array();
         $devcoldesc['book'] = "int(1)";
         $devcoldesc['user'] = "varchar(30)";
         $devcoldesc['class'] = "char(5)";
         $devcoldesc['room'] = "char(20)";
         return $devcoldesc;
         }

// Produce an error message (maybe include source file details later). For use in else/elseif lists
function elseerror($module)
			{
			echo "<h3>An error has occured in the " . $module . " module. ";
			echo "Please report this error code to your system administrator: ";
			echo $_SERVER['PHP_SELF'];
			echo "</h3>\n";
			}
			
// Create a drop down list of unique descriptions from column in table
function create_drop_down_list($name,$column,$table,$selected)
			{
			echo "<select name='" . $name . "'>\n";
			echo "<option value='" . $selected . "' selected>" . $selected. "\n";
			$query = "SELECT DISTINCT " . $column . " FROM " . $table;
			$result = mysql_query($query) or die ("Couldn't Execute Query.");
		   while ( $row = mysql_fetch_array($result) )
		         {
			      echo "<option value='" . $row[$column] . "'>" . $row[$column] . "\n";
		         }
		   echo "</select>\n";
		   }	

/* Function that produces a drop-down box listing all users on the STORM system.
   "admin" is excluded automatically. Variable name is passed by the page.*/
function userdropdown($name)
         {
         /* Start by generating a list of all user name. */
         $query = "SELECT * FROM users WHERE username != 'admin' ORDER BY username";
         $result = mysql_query($query)
                 or die ("Couldn't Execute Query");
         /* Produce the form. */
         echo "<select name='" . $name . "'>\n";
         echo "<option value='' selected>\n";
         /* Set up a loop that produces a list of all the users in the system. */
			while ($row = mysql_fetch_array($result))
        	      {
               /* Data from the row is passed into a variable determined by the column name. */
                extract($row);
                echo "<option value='" . $username . "'>" . $username . "\n";
                }
         echo "</select>\n";
         }
  		
?>
