<?php

/*  Copyright 2003 Tony Whitmore.

    This file is part of School Tools for On-line Resource Management.

    School Tools for On-line Resource Management is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    School Tools for On-line Resource Management is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with School Tools for On-line Resource Management; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Page that processes data from alterbookingtables.php

// Include the standard HTML opening lines
	include ("STORM/common/html/htmlheader.inc");

// Include the STORM and login functions files
   include ("STORM/common/misc/functions.inc");
	include ("STORM/login/misc/functions.inc");

// Check for a valid session and access level
   sessionchk();
   $accesslevel = "3";
   accesschk("login");

/* Include the STORM login banner. */
   include ("STORM/login/html/banner.inc");

// Include the connection to the MySQL Server details
	include ("STORM/common/mysql/connectadmin.inc");

// Validate the submitted data
// Start by checking the mappings for errors
// Move the "chunks" part of the _POST array into a new array for processing
$chunks = array();
for ( $i = 0; $i < $_POST['chunksperday']; $i++ )
    {
    $chunks['chunk'.$i] = $_POST['chunk'.$i];
    }

// Pass the non-null values to another array for validating
$chunks2 = array();
for ( $i = 0; $i < $_POST['chunksperday']; $i++ )
    {
    if ( $chunks['chunk'.$i] != "" )
       {
    $chunks2['chunk'.$i] = $chunks['chunk'.$i];
       }
    }
//Check for instances of duplicate chunks.
$before = count($chunks2);
$result = array_unique($chunks2);
$after = count($result) ;
// If there are duplicates, then add to the error message
if ( $before != $after )
   {
   $errmsg .= "<p class=\"alert\">You have assigned an existing \"Chunk\" to more than one
              \"Chunk\" in the new structure.</p>\n";
   }

// Produce the error message if necessary
if ( $errmsg != "" )
   {
   echo "<p class='alert'>The following errors were detected:</p>\n";
   echo $errmsg;
   // Reproduce the options form
   // Start with a section showing existing bookable resources, both devices and rooms
   echo "<form action=\"alterbookingtablesprocess.php\" method=\"POST\">\n";
   echo "<h4>Choose how the old \"chunks\" map onto the new \"chunks\":</h4>\n";
   // The section of the form that allows mapping between chunks
   include ("STORM/login/tables/chunkmap.inc");
   // Closing comments - hidden variables for processing and the OK button
   echo "<input type=\"hidden\" name=\"chunksperdayoldval\" value=\"" . $_POST['chunksperdayoldval'] . "\">\n";
   echo "<input type=\"hidden\" name=\"chunksperday\" value=\"" . $_POST['chunksperday'] . "\">\n";
   echo "<p><center><input type=\"submit\" value=\"Make Changes\"></center></p>\n";
   echo "</form>\n"; //Close the form
   exit();
   }

// Got this far, then the submitted data has been validated. So go ahead and process it

// Pull list of all devices from table
$query = "SELECT booktable FROM device";
$result = mysql_query($query)
               or die ("Couldn't Execute Query");
$devices = $result;

// Will need to insert similar query here for rooms

// Set up a local function to apply to the device and room table changes
function updatetables($array)
            {
            // Call the function to set up the array containing chunk column suffixes and descriptions
            $devcolsuffix = setsuffixarray();
            $devcoldesc = setdescarray();
            while ( $row = mysql_fetch_array($array) )    // do this for each device or room in the passed array
                  {
                  extract($row);
                  $i = 0;
                  while ( $i != $_POST['chunksperdayoldval'] )    // Rename all current table columns to chunk??old
                        {
                        $i++;
                        foreach ( $devcolsuffix as $j => $suffix )  // For each of the four columns per chunk
                                {
                                $query = "ALTER TABLE " . $booktable . " CHANGE COLUMN chunk" . $i . $suffix .
                                       " chunk" . $i . $suffix . "old " . $devcoldesc[$suffix]; //Change column name
                                $result = mysql_query($query)
                                        or die ("Couldn't Execute Query");
                                }
                        }
                  $i = 0;
                  while ( $i != $_POST['chunksperday'] )  // do this for all the new chunks
                        {
                        $i++;
                        if ( $chunks['chunk'.$i] != "" ) // If there is a non-blank mapping for the new chunk
                           { // Rename the column containing the old data to the new value
                           foreach ( $devcolsuffix as $j => $suffix )  // do this for all the four columns per chunk
                                   {
                                   $query = "ALTER TABLE " . $booktable . " CHANGE COLUMN chunk" . $chunks['chunk'.$i] . $suffix .
                                          "old chunk" . $i . $suffix . " " . $devcoldesc[$suffix]; //Change column name - includes column description!!
                                   $result = mysql_query($query)
                                           or die ("Couldn't Execute Query");
                                   }
                           }
                        elseif ( $chunks['chunk'.$i] == "" ) // If there isn't a mapping (i.e. no data is to be transferred in)
                               { // Create a blank column of the correct description
                               foreach ( $devcolsuffix as $j => $suffix )
                                       {
                                       $query = "ALTER TABLE " . $booktable . " ADD COLUMN chunk" .
                                              $i . $suffix . " " . $devcoldesc[$suffix] . " DEFAULT NULL";
                                       $result = mysql_query($query)
                                               or die ("Couldn't Execute Query");
                                       }
                               }
                        }
                  $i =0;
                  while ( $i != $_POST['chunksperdayoldval'] )   // Remove orphaned columns
                        {
                        $i++;   // Count through the number of old columns, dropping them as we go
                        foreach ( $devcolsuffix as $j => $suffix )
                                {
                                $query = "ALTER TABLE " . $booktable . " DROP COLUMN chunk" . $i . $suffix . "old";
                                $result = @mysql_query($query);  // The strudel is used to suppress the error if the column isn't there (because it has already been renamed for example)
                                }
                        }
                  }
            }
            
// Apply the function to the device list array
updatetables($devices);

// Apply the function to the room list array

// Closing comment and navbutton
echo "<h3>Table structures updated!</h3>\n";
navbutton("loginprocess.php","OK");

?>
